from .CropImage import CropImage
from .ResizeImage import ResizeImage
from .RotateImage import RotateImage
from .FlipImage import FlipImage
from .ColorAdjust import ColorAdjust
from .Filters import GaussianBlur, SobelEdge, BinaryThreshold, HistogramThreshold
from .Padding import Padding
from .Grayscale import Grayscale
from .HSV import HSV
from .HueShift import HueShift
from .BoxBlur import BoxBlur
from .CopyImage import CopyImage
from .BackgroundBlur import BackgroundBlur
from .CameraWindow import CameraWindow
from .AddText import AddText


def GetImageManipulationList() -> list:
    return [
        CropImage(),
        ResizeImage(),
        RotateImage(),
        FlipImage(),
        ColorAdjust(),
        Padding(),
        Grayscale(),
        HSV(),
        HueShift(),
        BoxBlur(),
        CopyImage(),
        GaussianBlur(),
        SobelEdge(),
        BinaryThreshold(),
        HistogramThreshold(),
        BackgroundBlur(),
        CameraWindow(),
        AddText(),
    ]